# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "iso9660_simple"
version = "0.2.4"
authors = ["NDRAEY <pikachu_andrey@vk.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "ISO9660 reading library"
readme = "README.md"
keywords = [
    "iso",
    "iso9660",
    "no_std",
]
categories = [
    "filesystem",
    "no-std",
]
license = "MIT"
repository = "https://github.com/NDRAEY/iso9660_simple"

[features]
default = ["std"]
std = []

[lib]
name = "iso9660_simple"
path = "src/lib.rs"

[[example]]
name = "cat_file"
path = "examples/cat_file.rs"

[[example]]
name = "descriptor_iterator"
path = "examples/descriptor_iterator.rs"

[[example]]
name = "dump"
path = "examples/dump.rs"

[dependencies.bitflags]
version = "2.10.0"

[dependencies.ucs2]
version = "0.3.3"

[dependencies.zerocopy]
version = "0.8.37"
features = ["derive"]
